;InnoSetupVersion=3.0.5

[Setup]
AppName=MailWasher Pro
AppVerName=MailWasher Pro
AppId=MailWasher Pro
AppPublisher=FireTrust Limited
AppPublisherURL=http://www.firetrust.com/
AppSupportURL=http://www.firetrust.com/support/
AppUpdatesURL=http://www.firetrust.com/
AppMutex={72A21E3E-6D87-4952-BF3A-EFD420A0CB56}
DefaultDirName={pf}\MailWasher Pro
DefaultGroupName=MailWasher
UninstallDisplayIcon={app}\MailWasher.exe
OutputBaseFilename=MailWasher Pro setup
Compression=zip
PrivilegesRequired=none
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\MailWasher.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\MailWasher Pro Help.chm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\CFSSignatureAlgorithm.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\ssleay32.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\libeay32.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\filters.txt"; DestDir: "{app}"; 

[Run]
Filename: "{app}\MailWasher.exe"; Description: "Launch MailWasher now"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{userdesktop}\MailWasher"; Filename: "{app}\MailWasher.exe"; 
Name: "{group}\MailWasher Pro"; Filename: "{app}\MailWasher.exe"; 
Name: "{group}\MailWasher Pro Help"; Filename: "{app}\MailWasher Pro Help.chm"; 
Name: "{group}\Uninstall MailWasher Pro"; Filename: "{uninstallexe}"; 

[InstallDelete]
Type: files; Name: "{commondesktop}\MailWasher.lnk"; 

[UninstallDelete]
Type: files; Name: "{userappdata}\MailWasherPro\SocketLog*.txt"; 
Type: files; Name: "{userappdata}\MailWasherPro\spamLog.txt"; 
Type: files; Name: "{userappdata}\MailWasherPro\MailWasherPro_debug.txt"; 
Type: files; Name: "{userappdata}\MailWasherPro\session log.txt"; 
Type: files; Name: "{userappdata}\MailWasherPro\ObjectTracker report.txt"; 
Type: filesandordirs; Name: "{userappdata}\MailWasherPro\??-??-?? ??-??-??"; 
